File: Makefile.PL

package info (click to toggle)
libcatalyst-actionrole-requiressl-perl 1.00-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster
  • size: 196 kB
  • sloc: perl: 1,473; makefile: 2
file content (48 lines) | stat: -rw-r--r-- 1,136 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
use strict;
use warnings;
use lib './'; # Required for -Ddefault_inc_excludes_dot
# Warning: This code was generated by Dist::Zilla::Plugin::ModuleInstall Version 1.001002
# As part of Dist::Zilla's build generation.
# Do not modify this file, instead, modify the dist.ini that configures its generation.
use inc::Module::Install 1.18;
name 'Catalyst-ActionRole-RequireSSL';

abstract "Force\ an\ action\ to\ be\ \(in\)secure\ only\.";

author "Simon\ Elliott\ \<cpan\@papercreatures\.com\>";

version "1\.00";

license "perl";


# configure requires => configure_requires
configure_requires  "ExtUtils\:\:MakeMaker" => "6\.42";


# build requires => requires
requires  "ExtUtils\:\:MakeMaker" => "6\.42";


# runtime requires => requires
requires  "Catalyst\:\:Action\:\:RenderView" => "0";

requires  "Catalyst\:\:Controller\:\:ActionRole" => "0";

requires  "Catalyst\:\:Runtime" => "5\.8";

requires  "Catalyst\:\:Test" => "0";

requires  "Moose\:\:Role" => "0";

requires  "namespace\:\:autoclean" => "0";

requires  "parent" => "0";


# runtime recommends => recommends

# test requires => test_requires

# :ExecFiles
WriteAll();